Aller au contenu principal
Sujet résolu
Ce sujet a été marqué résolu et ne nécessite aucune autre attention.
Sujet: Comment bloquer la mise à jour d'un paquet spécifique avec zypper ? (Lu 216 fois) sujet précédent - sujet suivant

Comment bloquer la mise à jour d'un paquet spécifique avec zypper ?

Salut toutes et tous ! :)

Contexte :

Tumbleweed me propose de passer à php8. Or, ça me casse tous mes dev WordPress pour des histoires de json. Comme je ne suis pas développeur et que je refuse de débugger la chose, je souhaite rester sur php7.

Problème :

Dans man zypper, je ne trouve pas la commande (ou l'option) pour bloquer un paquet lors d'un dist-upgrade.

Contournement :

J'ai bloqué php8 dans YaST.
Recherche php8. Puis dans la fenêtre de résultat, clic droit sur un des paquets -> Tout dans cette liste -> Ne jamais installer.
Je relance zypper dup et php8 n'est plus proposé. Ouf.

Solution ?

À vous les studios ! :D


à plus,
oh!rocks


Re : Comment bloquer la mise à jour d'un paquet spécifique avec zypper ?

Répondre #2
passer sur docker, avec docker-compose.

une foi que tu as compris comment sa fonctionne, c'est un vrai bonheur :
1)  démarrage arrête des services à la volé.
2) grande liberter de choix des dépendances, comme les extensions php, choix la base de donnés (mysql/mariadb/...) et la version. ...
3) configuration portables.

le seul défaut, c'est que les images docker utilise beaucoup de place sur le disque dure.

si tu veux je peux d'aider.

david
 

Re : Comment bloquer la mise à jour d'un paquet spécifique avec zypper ?

Répondre #3
@chalu : merci pour la confirmation du bug. :)

@david : docker, non merci, je ne fais que de l'intégration, pas du développement (enfin, pas énormément).

Sinon, la solution est : zypper al paquet, al = addlock (équivalent du blocage dans YaST).

Pour bloquer php8 : zypper al 'php8*' (équivalent du "tout dans cette liste" dans YaST).

Merci, bon dimanche ! :)


à plus,
oh!rocks

Re : Comment bloquer la mise à jour d'un paquet spécifique avec zypper ?

Répondre #4
merci, je passais toujours par yast "tout dans cette liste" . par contre je viens de relire le man et je n'ai toujours pas vu l'option al, ça se trouve dans quelle section du man?
EDIT: ok c'est dans la section Package lock management

 

Re : Comment bloquer la mise à jour d'un paquet spécifique avec zypper ?

Répondre #5
merci, je passais toujours par yast "tout dans cette liste" . par contre je viens de relire le man et je n'ai toujours pas vu l'option al, ça se trouve dans quelle section du man?
 On la trouve en faisant
zypper --help
Verrouillage de paquets : 
 
      addlock, al           Ajoute un verrouillage sur un paquet.
      removelock, rl        Supprime un verrouillage sur un paquet.
      locks, ll             Lister les verrouillages de paquet actuels.
      cleanlocks, cl        Supprime les verrous inutiles.